package org.briarproject.bramble.api.contact;

import org.briarproject.bramble.api.identity.Author;
import org.briarproject.bramble.api.identity.AuthorId;
import org.briarproject.bramble.api.nullsafety.NotNullByDefault;

import javax.annotation.concurrent.Immutable;

import static org.briarproject.bramble.api.contact.ContactType.PRIVATE_MAILBOX;

@Immutable
@NotNullByDefault
public class PrivateMailbox extends Contact {

	public PrivateMailbox(ContactId id,
			Author author,
			AuthorId localAuthorId,
			boolean verified, boolean active) {
		super(id, author, localAuthorId, verified, active);
	}

	@Override
	public ContactType getType() {
		return PRIVATE_MAILBOX;
	}
}
