package org.briarproject.bramble.api.mailbox;

import org.briarproject.bramble.api.contact.ContactId;
import org.briarproject.bramble.api.nullsafety.NotNullByDefault;

import javax.annotation.Nullable;

@NotNullByDefault
public class MailboxInfo {

	private final ContactId contactId;
	// Null if the contact has no mailbox, our own will be used if possible.
	@Nullable
	private final ContactId mailboxId;
	// The alias of the contact for the mailbox. The mailbox must not know
	// the read id.
	@Nullable
	private final ContactId aliasId;

	public MailboxInfo(ContactId contactId,
			ContactId mailboxId,
			ContactId aliasId) {
		this.contactId = contactId;
		this.mailboxId = mailboxId;
		this.aliasId = aliasId;
	}

	public ContactId getContactId() {
		return contactId;
	}

	@Nullable
	public ContactId getMailboxId() {
		return mailboxId;
	}

	@Nullable
	public ContactId getAliasId() {
		return aliasId;
	}
}
