package org.briarproject.bramble.api.mailbox;

import org.briarproject.bramble.api.contact.ContactId;
import org.briarproject.bramble.api.plugin.TransportConnectionReader;
import org.briarproject.bramble.api.plugin.TransportConnectionWriter;
import org.briarproject.bramble.api.plugin.TransportId;
import org.briarproject.bramble.api.plugin.duplex.DuplexTransportConnection;
import org.briarproject.bramble.api.transport.StreamContext;

import javax.annotation.Nullable;

public interface MailboxManager {
	/**
	 * Connection to a contact's mailbox
	 */
	void handleOutgoingContactMailboxConnection(ContactId contactId,
			ContactId mailboxId, DuplexTransportConnection connection,
			TransportId transportId);

	/**
	 * Connection to private mailbox
	 */
	void handleOutgoingPrivateMailboxConnection(ContactId contactId,
			DuplexTransportConnection connection, TransportId transportId);

	/**
	 * Connection from Owner to mailbox
	 */
	void handleIncomingMailboxOwnerConnection(StreamContext ctx,
			TransportId transportId, TransportConnectionReader reader,
			TransportConnectionWriter writer);

	/**
	 * Connection from contact (of owner) to mailbox
	 */
	void handleInomingOwnerContactConnection(StreamContext ctx,
			TransportId transportId, TransportConnectionReader reader,
			TransportConnectionWriter writer);

	/**
	 * Contacts without private mailbox which have been introduced
	 * to private mailbox
	 */
	void handleContactWithoutMailbox(MailboxInfo mailboxInfo);
}

