package org.briarproject.bramble.mailbox;

import org.briarproject.bramble.api.lifecycle.LifecycleManager;
import org.briarproject.bramble.api.mailbox.MailboxManager;
import org.briarproject.bramble.api.mailbox.MailboxService;
import org.briarproject.bramble.mailbox.sessions.MailboxSessionFactory;
import org.briarproject.bramble.mailbox.sessions.MailboxSessionFactoryImpl;

import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;

@Module
public class MailboxModule {

	@Provides
	@Singleton
	MailboxSessionFactory provideMailboxSessionFactory(MailboxSessionFactoryImpl mailboxSessionFactory){
		return mailboxSessionFactory;
	}

	@Provides
	@Singleton
	MailboxManager provideMailboxManager(
			MailboxManagerImpl mailboxManager) {
		return mailboxManager;
	}

	@Provides
	@Singleton
	MailboxService provideMailboxService(LifecycleManager lifecycleManager,
			MailboxServiceImpl mailboxServiceImpl) {
		lifecycleManager.registerService(mailboxServiceImpl);
		return mailboxServiceImpl;
	}
}
