package org.briarproject.bramble.mailbox.protocol;

import org.briarproject.bramble.api.FormatException;
import org.briarproject.bramble.api.data.BdfList;

/**
 * This messages signals that the other party wishes to end the session
 */
public class MailboxRequestEnd extends MailboxRequest {
	public MailboxRequestEnd() {
		super(TYPE.END);
	}

	// Parse END request from bdfList
	public MailboxRequestEnd(BdfList msg) throws FormatException {
		super(TYPE.END, msg.getLong(1));
		if(msg.getList(2).size() != 0)
			throw new FormatException();
	}

	@Override
	protected BdfList getRequestBody() {
		return new BdfList();
	}

	@Override
	public boolean hasResponse() {
		return false;
	}

}
