package org.briarproject.bramble.mailbox.protocol;

import org.briarproject.bramble.api.FormatException;
import org.briarproject.bramble.api.data.BdfList;

import javax.annotation.Nullable;

public class MailboxRequestSync extends MailboxRequest {
	@Nullable
	private byte[] syncStream;

	public MailboxRequestSync(byte[] syncStream) {
		super(TYPE.SYNC);
		this.syncStream = syncStream;
	}
	public MailboxRequestSync() {
		super(TYPE.SYNC);
		this.syncStream = null;
	}

	public MailboxRequestSync(BdfList msg) throws FormatException {
		super(TYPE.SYNC, msg.getLong(1));

		BdfList body = msg.getList(2);

		if(body.size() != 1)
			throw new FormatException();
		this.syncStream = body.getOptionalRaw(0);
	}

	@Override
	protected BdfList getRequestBody() {
		return BdfList.of(syncStream);
	}

	@Override
	public boolean hasResponse() {
		return false;
	}


	public byte[] getSyncStream() {
		return syncStream;
	}

	public boolean isEndOfStream() {
		return syncStream == null;
	}
}
