package org.briarproject.bramble.mailbox.storage;

import org.briarproject.bramble.api.contact.ContactId;
import org.briarproject.bramble.api.mailbox.MailboxStorageStream;

public class MailboxStorageStreamImpl implements MailboxStorageStream {
	private final Long id;
	private final byte[] encryptedStream;
	private final ContactId contactId;
	private final boolean forOwner;

	private boolean pending = false;

	public MailboxStorageStreamImpl(ContactId contactId,
			byte[] encryptedStream, Long id, boolean forOwner) {
		this.contactId = contactId;
		this.id = id;
		this.encryptedStream = encryptedStream;
		this.forOwner = forOwner;
	}

	public byte[] getStream() {
		return encryptedStream;
	}

	public boolean isPending() {
		return pending;
	}

	public void setPending(boolean pending) {
		this.pending = pending;
	}

	public boolean isForOwner() {
		return forOwner;
	}

	public ContactId getContactId() {
		return contactId;
	}
}
