package org.briarproject.mailbox.android.activity;

import android.app.Activity;

import org.briarproject.mailbox.android.AndroidComponent;
import org.briarproject.mailbox.android.StartupFailureActivity;
import org.briarproject.mailbox.android.fragment.ScreenFilterDialogFragment;
import org.briarproject.mailbox.android.keyagreement.ContactExchangeErrorFragment;
import org.briarproject.mailbox.android.keyagreement.KeyAgreementActivity;
import org.briarproject.mailbox.android.keyagreement.KeyAgreementFragment;
import org.briarproject.mailbox.android.keyagreement.MailboxExchangeActivity;
import org.briarproject.mailbox.android.login.IntroFragment;
import org.briarproject.mailbox.android.login.ChangePasswordActivity;
import org.briarproject.mailbox.android.login.DozeFragment;
import org.briarproject.mailbox.android.login.OpenDatabaseActivity;
import org.briarproject.mailbox.android.login.PasswordActivity;
import org.briarproject.mailbox.android.login.PasswordFragment;
import org.briarproject.mailbox.android.login.SetupActivity;
import org.briarproject.mailbox.android.login.UnlockActivity;
import org.briarproject.mailbox.android.navdrawer.NavDrawerActivity;
import org.briarproject.mailbox.android.overview.OverviewFragment;
import org.briarproject.mailbox.android.panic.PanicPreferencesActivity;
import org.briarproject.mailbox.android.panic.PanicResponderActivity;
import org.briarproject.mailbox.android.settings.SettingsActivity;
import org.briarproject.mailbox.android.settings.SettingsFragment;
import org.briarproject.mailbox.android.splash.SplashScreenActivity;

import dagger.Component;

@ActivityScope
@Component(
		modules = {ActivityModule.class},
		dependencies = AndroidComponent.class)
public interface ActivityComponent {

	Activity activity();

	void inject(SplashScreenActivity activity);

	void inject(SetupActivity activity);

	void inject(OpenDatabaseActivity activity);

	void inject(NavDrawerActivity activity);

	void inject(PasswordActivity activity);

	void inject(PanicResponderActivity activity);

	void inject(PanicPreferencesActivity activity);

	void inject(KeyAgreementActivity activity);

	void inject(MailboxExchangeActivity activity);

	void inject(SettingsActivity activity);

	void inject(ChangePasswordActivity activity);

	void inject(StartupFailureActivity activity);

	void inject(UnlockActivity activity);

	// Fragments
	void inject(IntroFragment fragment);

	void inject(PasswordFragment fragment);

	void inject(DozeFragment fragment);

	void inject(
			org.briarproject.mailbox.android.keyagreement.IntroFragment fragment);

	void inject(KeyAgreementFragment fragment);

	void inject(SettingsFragment fragment);

	void inject(ScreenFilterDialogFragment fragment);

	void inject(ContactExchangeErrorFragment fragment);

	void inject(OverviewFragment overviewFragment);
}
